Get Proxy Servers
curl --request GET \
--url https://app.plugchoice.com/api/v3/chargers/{charger}/proxy \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.plugchoice.com/api/v3/chargers/{charger}/proxy"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.plugchoice.com/api/v3/chargers/{charger}/proxy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"websocket_url": "<string>",
"role": "<string>",
"has_password": true,
"created_at": "<string>",
"updated_at": "<string>"
}
]
}Proxy
Get Proxy Servers
GET
/
v3
/
chargers
/
{charger}
/
proxy
Get Proxy Servers
Returns the proxy server configuration for the specified charger.
string
required
The UUID of the charger.
Response
object[]
A list of proxy server entries.
Show proxy server
Show proxy server
string
The WebSocket URL of the proxy server.
string
The role of this server. Either
ROLE_LEADER or ROLE_FOLLOWER.boolean
Whether a password is currently stored for this server. The password value itself is never returned.
string
ISO 8601 timestamp of when the proxy entry was created.
string
ISO 8601 timestamp of when the proxy entry was last updated.
⌘I